Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Interface IBoolI

All Superinterfaces:
  IBoolOp, IParameter, IScalar, IVal

All Known Implementing Classes:
  IBool, IBoolR

    public interface IBoolI

extends IBoolOp

Interface of boolean to be used as IParameterObject.

Author:
  Satoru Sugihara

Method Summary
`IBoolI` | `and(boolean v)`
`IBoolI` | `and(IBoolI v)`
`IBoolI` | `cp()` alias of dup()
`IBoolI` | `dup()`
`boolean` | `eq(IBoolI v)`
`boolean` | `eq(ISwitchE e, IBoolI v)`
`IBoolI` | `eq(ISwitchR r, IBoolI v)`
`IBool` | `get()`
`IBoolI` | `getX()`
`IBoolI` | `not()`
`IBoolI` | `or(boolean v)`
`IBoolI` | `or(IBoolI v)`
`IBoolI` | `set(boolean v)`
`IBoolI` | `set(IBoolI v)` convert reference tree to one constant value
`boolean` | `x()`

Method Detail

### x

    boolean x()

  Specified by:
    `x` in interface `IBoolOp`
  Returns:
    primitive value

### get

    IBool get()

  Specified by:
    `get` in interface `IBoolOp`
  Specified by:
    `get` in interface `IParameter`
  Returns:
    fixed value but in wrapper class

### getX

    IBoolI getX()

  Returns:
    generic parameter of the value (either of entity class or reference class) (in one dimensional data, it's same with the instance itself)

### dup

    IBoolI dup()

  Returns:
    duplicated instance

### cp

    IBoolI cp()

  alias of dup()

### set

    IBoolI set(IBoolI v)

  convert reference tree to one constant value

### set

    IBoolI set(boolean v)

### and

    IBoolI and(IBoolI v)

### and

    IBoolI and(boolean v)

### or

    IBoolI or(IBoolI v)

### or

    IBoolI or(boolean v)

### not

    IBoolI not()

### eq

    boolean eq(IBoolI v)

### eq

    boolean eq(ISwitchE e,
               IBoolI v)

### eq

    IBoolI eq(ISwitchR r,
              IBoolI v)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD